
Redmine - Defect #645

Problem with "-" in link name

2008-02-12 20:08 - Mario Moreira

Status: Closed Start date: 2008-02-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Using version 0.5.0 we had no problems creating link in the wiki with the "-" char in the middle and surounded by spaces, like "ABC -

XXY". This would create a link to a page ABC_-_XXY.

With version 0.6.3, the "-" is changed by redcloth into – (longer dash), and then all the links to these pages are gone.

As a quick hack, i fixed this by editing lib/redcloth.rb, line 412, and commented that line:

#[ /\s-\s/, ' &#8211; ' ], # en dash

 Perhaps this is an issue with redcloth, but it affects redmine.

History

#1 - 2008-02-12 22:57 - Jean-Philippe Lang

- Status changed from New to Resolved

Redcloth glyphs were totally disabled in r1113.

I've just done a quick test with the latest code, wiki links with dashes work as expected.

#2 - 2008-02-16 19:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed
